import { AuthSession } from './Api/Session';
import { OAuthConfig } from './OAuthConfig';
export declare class OAuthApplication {
    readonly config: OAuthConfig;
    private readonly flow;
    private readonly api;
    private readonly storage;
    private readonly lastPageStore;
    private readonly sessionStore;
    private readonly userStore;
    constructor(config: OAuthConfig);
    readonly login: () => Promise<void>;
    readonly logout: () => Promise<void>;
    readonly invalidateSession: () => void;
    readonly silentRefresh: () => Promise<any>;
    readonly getUser: () => any;
    readonly getSession: () => AuthSession;
    readonly handleCallback: () => Promise<void>;
    readonly hasActiveSession: () => boolean;
    private readonly establishUserSession;
    private readonly loadUser;
}
