import { OAuthApplication } from './OAuthApplication';
export interface OAuthMonitorOptions {
    readonly app: OAuthApplication;
    readonly interval: number;
}
export interface OAuthMonitorEventHandlers {
    readonly onError?: () => void;
    readonly onSessionChanged?: () => void;
    readonly onSessionEnded?: () => void;
    readonly onSessionRestablished?: () => void;
    readonly onTokenRenewed?: () => void;
}
export declare class OAuthMonitor {
    private readonly app;
    private readonly interval;
    private readonly handlers;
    private session;
    private frame;
    private timer;
    private isRunning;
    private currentStat;
    constructor({ app, interval }: OAuthMonitorOptions, { onError, onSessionChanged, onSessionEnded, onSessionRestablished, onTokenRenewed }: OAuthMonitorEventHandlers);
    readonly start: () => Promise<void>;
    readonly stop: () => void;
    readonly checkSession: () => void;
    private readonly handleMessage;
    private readonly handleError;
    private readonly handleUnchanged;
    private readonly handleChanged;
    private readonly isSameToken;
    private readonly isSameUser;
}
