import { AccessTokenResponse, Api, AuthorizeResponse, AuthSession } from '../../Api';
import { Persistence } from '../../Persistence';
import { AuthenticationFlow } from './AuthenticationFlow';
export declare class CodePKCEFlow implements AuthenticationFlow {
    private readonly api;
    private readonly transactionManager;
    constructor(api: Api, storage: Persistence);
    readonly authorize: () => Promise<void>;
    readonly handleAuthorizeResponse: () => Promise<AuthSession>;
    readonly silentAuthorize: () => Promise<AuthSession>;
    readonly exchangeCode: (authorizeResponse: AuthorizeResponse, silent?: boolean) => Promise<AccessTokenResponse>;
    private readonly handleBasicAuthorize;
    private readonly getAuthorizeURL;
}
