import { OAuthConfig } from '../../OAuthConfig';
import { IntrospectResponse } from './IntrospectResponse';
/**
 * The introspect endpoint of the OAuth specification, as described by RFC-7662.
 *
 * {@link https://tools.ietf.org/html/rfc7662}
 */
export declare class Introspect {
    private readonly config;
    constructor(config: OAuthConfig);
    /**
     * Calls the `introspect` endpoint and returns the token's details.
     *
     * @method get
     * @param {IntrospectParams} params the request params.
     * @returns the `introspect` URL
     */
    readonly get: (accessToken: string) => Promise<IntrospectResponse>;
}
