export interface MessageBoundHiddenIFrameOptions {
    readonly timeout?: number;
    readonly url: string;
    readonly window: Window;
}
export interface MessageBoundHiddenIFrameHandlers {
    readonly onMessage: (e: MessageEvent) => void;
    readonly onTimeout?: () => void;
}
export declare class MessageBoundHiddenIFrame {
    private readonly window;
    private readonly element;
    private readonly onTimeout?;
    private readonly onMessage;
    private readonly timeoutMillis?;
    private readonly targetOrigin;
    private timeoutHandler;
    constructor(options: MessageBoundHiddenIFrameOptions, handlers: MessageBoundHiddenIFrameHandlers);
    readonly load: () => Promise<void>;
    readonly destroy: () => void;
    readonly postMessage: (message: string) => void;
    private readonly isSameOrigin;
    private readonly handleMessage;
    private readonly handleTimeout;
}
